 /*
 * file      : lib_tm/lib.h
 * project   : tm
 * with      : Gtk-2
 *
 * copyright : (C) 2012 by Claude BULIN
 *
 * TM - Edition des heures de travail / Edition of working hours
 * GNU General Public License
 * 
 * This file is part of TM.
 * 
 * TM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * TM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with TM.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __libH_h__
#define __libH_h__ 1

// /usr/include/gtk-2.0/gdk/gdkkeysyms.h
typedef struct {
	gboolean	BoolVerboseMode;
} OPTIONS_COMMAND_LINE;

extern OPTIONS_COMMAND_LINE OptionsCommandLine;


void		libH_print_mess (char *p_mess);
gboolean	libutils_test_file_exist (gchar *File);
gboolean	libutils_test_dir_exist (gchar *File);
void		libutils_set_default_icone_to_win (GtkWidget *win);
gboolean	libutils_find_file (gchar *p_find_file);
size_t		libutils_get_size_file (char *PathName);
gboolean	libutils_test_write( gchar *path );
gchar		*libutils_string_toupper( gchar *p_str );
void		libutils_get_path_and_name( gchar *p_PathNameFile, gchar **p_RetPath, gchar **p_RetFile );
guint		libutils_getProcessID( gchar *p_processname );
gint		libutils_getNbProcess( gchar *p_NameFile );

gint		libutils_get_DMY( gint *p_Day, gint *p_Month, gint *p_Year );
gchar		*libutils_get_str_month( gint p_month );
gint		libutils_get_weekday( guint p_day, guint p_month, guint p_year );
gchar		*libutils_get_str_weekday( guint p_day, guint p_month, guint p_year );
gchar		*libutils_get_day( gint p_day );
gint		libutils_get_nbr_days_of_year( guint p_year );
guint		libutils_get_days_in_month( guint p_month, guint p_year );
void		libutils_get_base_days_in_month( guint p_month, guint p_year, gint *p_begin, gint *p_end );
guint		libutils_get_weeks( guint p_day, guint p_month, guint p_year );


// COMBO.C
// 
void		libcombo_remove (void);
void		libcombo_alloc (GtkComboBox *p_combo);
void		libcombo_remove_options (GtkComboBox *p_combo);

// XDG.C
// 
void		xdg_print_list_config_path( void );
void		xdg_print_list_data_path( void );
gchar		*xdg_search_config_xdg( void );
gchar		*xdg_search_data_xdg( gchar *NameFile );

#endif

